'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _stringify = require('babel-runtime/core-js/json/stringify');

var _stringify2 = _interopRequireDefault(_stringify);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _util = require('./util');

var _util2 = _interopRequireDefault(_util);

var _cache = require('./cache');

var _cache2 = _interopRequireDefault(_cache);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
  compile(config, opath) {
    var src = _cache2.default.getSrc();
    var dist = _cache2.default.getDist();
    var target = _util2.default.getDistPath(opath, 'json', src, dist);
    _util2.default.log('配置: ' + _path2.default.relative(_util2.default.currentDir, target), '写入');
    _util2.default.writeFile(target, (0, _stringify2.default)(config || {}));
  }
};
//# sourceMappingURL=compile-config.js.map