import wemix from 'wemix'

export default class extends wemix.app {
  config = {
    pages: [
      'pages/index'
    ],
    window: {
      backgroundTextStyle: 'light',
      navigationBarBackgroundColor: '#FFFFFF',
      navigationBarTitleText: 'WEMIX',
      navigationBarTextStyle: 'black'
    }
  }
  // only define in app
  globalData = {
    data: 'I am global data'
  }
  onLaunch (options) {
    // Do something initial when launch.
  }
  onShow (options) {
    // Do something when show.
  }
  onHide () {
    // Do something when hide.
  }
  onError (msg) {
    console.log(msg)
  }
}
