'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _defineProperty = require('babel-runtime/core-js/object/define-property');

var _defineProperty2 = _interopRequireDefault(_defineProperty);

var _assign = require('babel-runtime/core-js/object/assign');

var _assign2 = _interopRequireDefault(_assign);

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; (0, _defineProperty2.default)(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _imagemin = require('imagemin');

var _imagemin2 = _interopRequireDefault(_imagemin);

var _imageminMozjpeg = require('imagemin-mozjpeg');

var _imageminMozjpeg2 = _interopRequireDefault(_imageminMozjpeg);

var _imageminPngquant = require('imagemin-pngquant');

var _imageminPngquant2 = _interopRequireDefault(_imageminPngquant);

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var _class = function () {
  function _class() {
    var c = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

    _classCallCheck(this, _class);

    var def = {
      filter: new RegExp('\.(jpg|png|jpeg)$'),
      config: {
        jpg: {},
        png: { quality: '65-80' }
      }
    };

    this.setting = (0, _assign2.default)({}, def, c);
  }

  _createClass(_class, [{
    key: 'apply',
    value: function apply(op) {

      var setting = this.setting;

      if (!setting.filter.test(op.file)) {
        op.next();
      } else {
        op.output && op.output({
          action: '压缩',
          file: op.file
        });
        (0, _imagemin2.default)([op.file], '', {
          plugins: [(0, _imageminMozjpeg2.default)(this.setting.config.jpg), (0, _imageminPngquant2.default)(this.setting.config.png)]
        }).then(function (files) {
          op.code = files[0].data;
          op.next();
        }).catch(function (e) {
          op.err = e;
          op.catch();
        });
      }
    }
  }]);

  return _class;
}();

exports.default = _class;
//# sourceMappingURL=wemix-plugin-imagemin.js.map