'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _defineProperty = require('babel-runtime/core-js/object/define-property');

var _defineProperty2 = _interopRequireDefault(_defineProperty);

var _assign = require('babel-runtime/core-js/object/assign');

var _assign2 = _interopRequireDefault(_assign);

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; (0, _defineProperty2.default)(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _uglifyJs = require('uglify-js');

var _uglifyJs2 = _interopRequireDefault(_uglifyJs);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var _class = function () {
  function _class() {
    var c = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

    _classCallCheck(this, _class);

    var def = {
      filter: new RegExp('\.(js)$'),
      config: {
        compress: { warnings: false }
      }
    };

    this.setting = (0, _assign2.default)({}, def, c);
  }

  _createClass(_class, [{
    key: 'apply',
    value: function apply(op) {

      var setting = this.setting;

      if (!setting.filter.test(op.file)) {
        op.next();
      } else {
        //util.output('压缩', op.file)
        op.output && op.output({
          action: '压缩',
          file: op.file
        });
        var rst = _uglifyJs2.default.minify(op.code, this.setting.config);
        var k = void 0;
        for (k in rst) {
          op[k] = rst[k];
        }op.next();
      }
    }
  }]);

  return _class;
}();

exports.default = _class;
//# sourceMappingURL=wemix-plugin-uglifyjs.js.map