import wemix from 'wemix'
import Com from '../components/com'

export default class Index extends wemix.page {
  config = {
    navigationBarTitleText: '首页'
  }
  components = {
    com: Com
  }
  data = {
    text: 'This is page data.'
  }
  // methods包括小程序的bindtap,catchtap等事件，及props对应的事件
  methods = {
    viewTap (e) {
      this.setData({
        text: 'This is page data. from ' + e.currentTarget.dataset.from
      }, () => {
        // this is setData callback
      })
    }
  }
  customerData = {
    hi: 'MINA'
  }
  onLoad (options) {
    // Do some initialize when page load.
  }
  onReady () {
    // Do something when page ready.
  }
  onShow () {
    // Do something when page show.
  }
  onRoute () {
    // Do something when route change.
  }
  onHide () {
    // Do something when page hide.
  }
  onUnload () {
    // Do something when page close.
  }
  onPullDownRefresh () {
    // Do something when pull down.
  }
  onReachBottom () {
    // Do something when page reach bottom.
  }
  onShareAppMessage  () {
    // return custom share data when user share.
  }
  onPageScroll () {
    // Do something when page scroll
  }
}
